Lemonldap::NG::Portal::Register(3pm)

NAME
Lemonldap::NG::Portal::Register - Regsiter a new user

SYNOPSIS
  use Lemonldap::NG::Portal::Register;

  my $portal = new Lemonldap::NG::Portal::Register();

  $portal->process();

  # Write here HTML to manage errors and confirmation messages

DESCRIPTION
Lemonldap::NG::Portal::Register - Register a new user

See Lemonldap::NG::Portal::SharedConf for a complete example of use of Lemonldap::Portal::* libraries.

METHODS
process

Main method.

SEE ALSO
Lemonldap::NG::Handler, Lemonldap::NG::Portal::SharedConf, CGI, <http://lemonldap-ng.org/>

AUTHOR

Clement Oudot, <clem.oudot@gmail.com>

BUG REPORT
Use OW2 system to report bug or ask for features: <http://jira.ow2.org>

DOWNLOAD
Lemonldap::NG is available at <http://forge.objectweb.org/project/showfiles.php?group_id=274>

COPYRIGHT AND LICENSE

Copyright (C) 2010, 2012 by Xavier Guimard, <x.guimard@free.fr>
Copyright (C) 2010, 2011, 2012 by Clement Oudot, <clem.oudot@gmail.com>

This library is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.